Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet
Interface FacetSet

All Known Implementing Classes:
  FacetSetImpl

    public interface FacetSet

A representation of the model object 'Set'.

The following features are supported:

- `Extended Package`
- `Facets`

See Also:
  `FacetPackage.getFacetSet()`

Method Summary
`EPackage` | `getExtendedPackage()` Returns the value of the 'Extended Package' reference.
`Facet` | `getFacet(java.lang.String name)`
`` | `getFacets()` Returns the value of the 'Facets' reference list.
`boolean` | `isSetFacets()` Returns whether the value of the '`Facets`' reference list is set.
`void` | `setExtendedPackage(EPackage value)` Sets the value of the '`Extended Package`' reference.
`void` | `unsetFacets()` Unsets the value of the '`Facets`' reference list.

Method Detail

### getExtendedPackage

    EPackage getExtendedPackage()

  Returns the value of the 'Extended Package' reference.

  If the meaning of the 'Extended Package' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extended Package' reference.
  See Also:
    `setExtendedPackage(EPackage)`, `FacetPackage.getFacetSet_ExtendedPackage()`

### setExtendedPackage

    void setExtendedPackage(EPackage value)

  Sets the value of the '`Extended Package`' reference.

  Parameters:
    `value` - the new value of the 'Extended Package' reference.
  See Also:
    `getExtendedPackage()`

### getFacets

     getFacets()

  Returns the value of the 'Facets' reference list. The list contents are of type `Facet`.

  If the meaning of the 'Facets' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Facets' reference list.
  See Also:
    `isSetFacets()`, `unsetFacets()`, `FacetPackage.getFacetSet_Facet()`

### unsetFacets

    void unsetFacets()

  Unsets the value of the '`Facets`' reference list.

  See Also:
    `isSetFacets()`, `getFacets()`

### isSetFacets

    boolean isSetFacets()

  Returns whether the value of the '`Facets`' reference list is set.

  Returns:
    whether the value of the 'Facets' reference list is set.
  See Also:
    `unsetFacets()`, `getFacets()`

### getFacet

    Facet getFacet(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD